=== debian/changelog ===
libtqca (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:05 +0200

libtqca (4:14.0.8~pre0-0debian10.0.0+0) buster; urgency=low

  * Initial git build

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 03 Jan 2020 14:50:41 +0100
