=== debian/control ===
Source: libtqca
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, libtqtinterface-dev
Standards-Version: 3.8.3

Package: libtqca
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}
Description:
 libtqca provides TQt interface for security plugins

Package: libtqca-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libtqca (= ${binary:Version}), libtqtinterface-dev
Description:
 libtqca provides TQt interface for security plugins
 .
 This is the development package containing header files and link
 libraries for libtqca.
